"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "SystemMessage", {
    enumerable: true,
    get: function() {
        return SystemMessage;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _useSystemMessage = require("./useSystemMessage");
const _renderSystemMessage = require("./renderSystemMessage");
const _useSystemMessageStylesstyles = require("./useSystemMessageStyles.styles");
const SystemMessage = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const state = (0, _useSystemMessage.useSystemMessage_unstable)(props, ref);
    (0, _useSystemMessageStylesstyles.useSystemMessageStyles_unstable)(state);
    return (0, _renderSystemMessage.renderSystemMessage_unstable)(state);
});
SystemMessage.displayName = 'SystemMessage'; //# sourceMappingURL=SystemMessage.js.map
