import * as React from 'react';
import { useAiGeneratedDisclaimerStyles_unstable } from './useAiGeneratedDisclaimerStyles.styles';
import { renderText_unstable, useText_unstable } from '@fluentui/react-components';
import { useCopilotMode, useDesignVersion } from '@fluentui-copilot/react-provider';
export const AiGeneratedDisclaimer = /*#__PURE__*/React.forwardRef((props, ref) => {
  'use no memo';

  const state = useText_unstable({
    as: 'span',
    ...props
  }, ref);
  state.mode = useCopilotMode(props.mode);
  state.designVersion = useDesignVersion(props.designVersion);
  useAiGeneratedDisclaimerStyles_unstable(state);
  return renderText_unstable(state);
});
AiGeneratedDisclaimer.displayName = 'AiGeneratedDisclaimer';
//# sourceMappingURL=AiGeneratedDisclaimer.js.map