import { __styles, mergeClasses } from '@fluentui/react-components';
import { tokens, typographyStyles } from '@fluentui-copilot/tokens';
export const timestampClassNames = {
  root: 'fai-Timestamp'
};
/**
 * Styles for the root slot
 */
const useStyles = __styles({
  root: {
    sj55zd: "f11d4kpn",
    mc9l5x: "f1w7gpdv",
    fsow6f: "f17mccla",
    Bahqtrf: "fk6fouc",
    Be2twd7: "fy9rknc",
    Bhrd7zp: "figsok6",
    Bg96gwp: "fwrc4pm",
    jrapky: 0,
    Frg6f3: 0,
    t21cq0: 0,
    B6of3ja: 0,
    B74szlk: "f1s184ao"
  }
}, {
  d: [".f11d4kpn{color:var(--colorNeutralForeground3);}", ".f1w7gpdv{display:inline;}", ".f17mccla{text-align:center;}", ".fk6fouc{font-family:var(--fontFamilyBase);}", ".fy9rknc{font-size:var(--fontSizeBase200);}", ".figsok6{font-weight:var(--fontWeightRegular);}", ".fwrc4pm{line-height:var(--lineHeightBase200);}", [".f1s184ao{margin:0;}", {
    p: -1
  }]]
});
/**
 * Apply styling to the Timestamp slots based on the state
 */
export const useTimestampStyles_unstable = state => {
  'use no memo';

  const styles = useStyles();
  state.root.className = mergeClasses(timestampClassNames.root, styles.root, state.root.className);
  return state;
};
//# sourceMappingURL=useTimestampStyles.styles.js.map