import * as React from 'react';
import { useUserMessage_unstable } from './useUserMessage';
import { renderUserMessage_unstable } from './renderUserMessage';
import { useUserMessageStyles_unstable } from './useUserMessageStyles.styles';
import { useCustomStyleHook } from '@fluentui-copilot/react-provider';
// UserMessage component - TODO: add more docs
export const UserMessage = /*#__PURE__*/React.forwardRef((props, ref) => {
  const state = useUserMessage_unstable(props, ref);
  useUserMessageStyles_unstable(state);
  useCustomStyleHook('useUserMessageStyles')(state);
  return renderUserMessage_unstable(state);
});
UserMessage.displayName = 'UserMessage';
//# sourceMappingURL=UserMessage.js.map