"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "AiGeneratedDisclaimer", {
    enumerable: true,
    get: function() {
        return AiGeneratedDisclaimer;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _useAiGeneratedDisclaimerStylesstyles = require("./useAiGeneratedDisclaimerStyles.styles");
const _reactcomponents = require("@fluentui/react-components");
const _reactprovider = require("@fluentui-copilot/react-provider");
const AiGeneratedDisclaimer = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    'use no memo';
    const state = (0, _reactcomponents.useText_unstable)({
        as: 'span',
        ...props
    }, ref);
    state.mode = (0, _reactprovider.useCopilotMode)(props.mode);
    state.designVersion = (0, _reactprovider.useDesignVersion)(props.designVersion);
    (0, _useAiGeneratedDisclaimerStylesstyles.useAiGeneratedDisclaimerStyles_unstable)(state);
    return (0, _reactcomponents.renderText_unstable)(state);
});
AiGeneratedDisclaimer.displayName = 'AiGeneratedDisclaimer'; //# sourceMappingURL=AiGeneratedDisclaimer.js.map
