"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "UserMessage", {
    enumerable: true,
    get: function() {
        return UserMessage;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _useUserMessage = require("./useUserMessage");
const _renderUserMessage = require("./renderUserMessage");
const _useUserMessageStylesstyles = require("./useUserMessageStyles.styles");
const _reactprovider = require("@fluentui-copilot/react-provider");
const UserMessage = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const state = (0, _useUserMessage.useUserMessage_unstable)(props, ref);
    (0, _useUserMessageStylesstyles.useUserMessageStyles_unstable)(state);
    (0, _reactprovider.useCustomStyleHook)('useUserMessageStyles')(state);
    return (0, _renderUserMessage.renderUserMessage_unstable)(state);
});
UserMessage.displayName = 'UserMessage'; //# sourceMappingURL=UserMessage.js.map
