"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    AiGeneratedDisclaimer: function() {
        return _AiGeneratedDisclaimer.AiGeneratedDisclaimer;
    },
    CopilotChat: function() {
        return _CopilotChat.CopilotChat;
    },
    CopilotMessage: function() {
        return _CopilotMessage.CopilotMessage;
    },
    CopilotMessageV2: function() {
        return CopilotMessageV2;
    },
    ScrollDownButton: function() {
        return _ScrollDownButton.ScrollDownButton;
    },
    SystemMessage: function() {
        return _SystemMessage.SystemMessage;
    },
    Timestamp: function() {
        return _Timestamp.Timestamp;
    },
    UserMessage: function() {
        return _UserMessage.UserMessage;
    },
    UserMessageV2: function() {
        return UserMessageV2;
    },
    aiGeneratedDisclaimerClassNames: function() {
        return _AiGeneratedDisclaimer.aiGeneratedDisclaimerClassNames;
    },
    copilotChatClassNames: function() {
        return _CopilotChat.copilotChatClassNames;
    },
    copilotMessageClassNames: function() {
        return _CopilotMessage.copilotMessageClassNames;
    },
    copilotMessageV2ClassNames: function() {
        return copilotMessageV2ClassNames;
    },
    renderCopilotChat_unstable: function() {
        return _CopilotChat.renderCopilotChat_unstable;
    },
    renderCopilotMessageV2_unstable: function() {
        return renderCopilotMessageV2_unstable;
    },
    renderCopilotMessage_unstable: function() {
        return _CopilotMessage.renderCopilotMessage_unstable;
    },
    renderScrollDownButton_unstable: function() {
        return _ScrollDownButton.renderScrollDownButton_unstable;
    },
    renderSystemMessage_unstable: function() {
        return _SystemMessage.renderSystemMessage_unstable;
    },
    renderUserMessageV2_unstable: function() {
        return renderUserMessageV2_unstable;
    },
    renderUserMessage_unstable: function() {
        return _UserMessage.renderUserMessage_unstable;
    },
    scrollDownButtonClassNames: function() {
        return _ScrollDownButton.scrollDownButtonClassNames;
    },
    systemMessageClassNames: function() {
        return _SystemMessage.systemMessageClassNames;
    },
    timestampClassNames: function() {
        return _Timestamp.timestampClassNames;
    },
    useAiGeneratedDisclaimerStyles_unstable: function() {
        return _AiGeneratedDisclaimer.useAiGeneratedDisclaimerStyles_unstable;
    },
    useCopilotChatStyles_unstable: function() {
        return _CopilotChat.useCopilotChatStyles_unstable;
    },
    useCopilotChat_unstable: function() {
        return _CopilotChat.useCopilotChat_unstable;
    },
    useCopilotMessageStyles_unstable: function() {
        return _CopilotMessage.useCopilotMessageStyles_unstable;
    },
    useCopilotMessageV2Styles_unstable: function() {
        return useCopilotMessageV2Styles_unstable;
    },
    useCopilotMessageV2_unstable: function() {
        return useCopilotMessageV2_unstable;
    },
    useCopilotMessage_unstable: function() {
        return _CopilotMessage.useCopilotMessage_unstable;
    },
    useMessageAttributes: function() {
        return _useMessageAttributes.useMessageAttributes;
    },
    useScrollDownButtonStyles_unstable: function() {
        return _ScrollDownButton.useScrollDownButtonStyles_unstable;
    },
    useScrollDownButton_unstable: function() {
        return _ScrollDownButton.useScrollDownButton_unstable;
    },
    useScrollToBottom: function() {
        return _useScrollToBottom.useScrollToBottom;
    },
    useSystemMessageStyles_unstable: function() {
        return _SystemMessage.useSystemMessageStyles_unstable;
    },
    useSystemMessage_unstable: function() {
        return _SystemMessage.useSystemMessage_unstable;
    },
    useTimestampStyles_unstable: function() {
        return _Timestamp.useTimestampStyles_unstable;
    },
    useUserMessageStyles_unstable: function() {
        return _UserMessage.useUserMessageStyles_unstable;
    },
    useUserMessageV2Styles_unstable: function() {
        return useUserMessageV2Styles_unstable;
    },
    useUserMessageV2_unstable: function() {
        return useUserMessageV2_unstable;
    },
    useUserMessage_unstable: function() {
        return _UserMessage.useUserMessage_unstable;
    },
    userMessageClassNames: function() {
        return _UserMessage.userMessageClassNames;
    },
    userMessageV2ClassNames: function() {
        return userMessageV2ClassNames;
    }
});
const _UserMessage = require("./UserMessage");
const _CopilotMessage = require("./CopilotMessage");
const _CopilotChat = require("./CopilotChat");
const _SystemMessage = require("./SystemMessage");
const _AiGeneratedDisclaimer = require("./AiGeneratedDisclaimer");
const _useMessageAttributes = require("./utils/useMessageAttributes");
const _useScrollToBottom = require("./utils/useScrollToBottom");
const _Timestamp = require("./Timestamp");
const _ScrollDownButton = require("./ScrollDownButton");
/** @deprecated use CopilotMessage */ const CopilotMessageV2 = _CopilotMessage.CopilotMessage;
/** @deprecated use renderCopilotMessage_unstable */ const renderCopilotMessageV2_unstable = _CopilotMessage.renderCopilotMessage_unstable;
/** @deprecated use useCopilotMessageStyles_unstable */ const useCopilotMessageV2Styles_unstable = _CopilotMessage.useCopilotMessageStyles_unstable;
/** @deprecated use useCopilotMessage_unstable */ const useCopilotMessageV2_unstable = _CopilotMessage.useCopilotMessage_unstable;
/** @deprecated use copilotMessageClassNames */ const copilotMessageV2ClassNames = _CopilotMessage.copilotMessageClassNames;
/** @deprecated use UserMessage */ const UserMessageV2 = _UserMessage.UserMessage;
/** @deprecated use renderUserMessage_unstable */ const renderUserMessageV2_unstable = _UserMessage.renderUserMessage_unstable;
/** @deprecated use useUserMessageStyles_unstable */ const useUserMessageV2Styles_unstable = _UserMessage.useUserMessageStyles_unstable;
/** @deprecated use useUserMessage_unstable */ const useUserMessageV2_unstable = _UserMessage.useUserMessage_unstable;
/** @deprecated use copilotMessageClassNames */ const userMessageV2ClassNames = _UserMessage.userMessageClassNames;
 //# sourceMappingURL=index.js.map
