import { __styles, mergeClasses } from '@fluentui/react-components';
import { tokens, typographyStyles } from '@fluentui-copilot/tokens';
export const aiGeneratedDisclaimerClassNames = {
  root: 'fai-AiGeneratedDisclaimer'
};
const useStyles = __styles({
  root: {
    Bahqtrf: "fk6fouc",
    Be2twd7: "f13mqy1h",
    Bhrd7zp: "figsok6",
    Bg96gwp: "fwrc4pm",
    Beyfa6y: 0,
    Bbmb7ep: 0,
    Btl43ni: 0,
    B7oj6ja: 0,
    Dimara: "ft85np5",
    Byoj8tv: 0,
    uwmqm3: 0,
    z189sj: 0,
    z8tnut: 0,
    B0ocmuz: "fy44vh6",
    mc9l5x: "f14t3ns0",
    sj55zd: "f11d4kpn",
    De3pzq: "f3vzo32"
  },
  canvas: {
    Byoj8tv: 0,
    uwmqm3: 0,
    z189sj: 0,
    z8tnut: 0,
    B0ocmuz: "fza2tcr"
  }
}, {
  d: [".fk6fouc{font-family:var(--fontFamilyBase);}", ".f13mqy1h{font-size:var(--fontSizeBase100);}", ".figsok6{font-weight:var(--fontWeightRegular);}", ".fwrc4pm{line-height:var(--lineHeightBase200);}", [".ft85np5{border-radius:var(--borderRadiusMedium);}", {
    p: -1
  }], [".fy44vh6{padding:calc(var(--spacingVerticalXXS) / 2) var(--spacingHorizontalXS) calc(var(--spacingVerticalXXS) / 2) var(--spacingHorizontalXS);}", {
    p: -1
  }], ".f14t3ns0{display:inline-block;}", ".f11d4kpn{color:var(--colorNeutralForeground3);}", ".f3vzo32{background-color:var(--colorNeutralBackground5);}", [".fza2tcr{padding:calc(var(--spacingVerticalSNudge) / 2) var(--spacingHorizontalSNudge) calc(var(--spacingVerticalSNudge) / 2)var(--spacingHorizontalSNudge);}", {
    p: -1
  }]]
});
const useNextStyles = __styles({
  root: {
    Beyfa6y: 0,
    Bbmb7ep: 0,
    Btl43ni: 0,
    B7oj6ja: 0,
    Dimara: "f1kijzfu"
  }
}, {
  d: [[".f1kijzfu{border-radius:var(--borderRadiusXLarge);}", {
    p: -1
  }]]
});
export const useAiGeneratedDisclaimerStyles_unstable = state => {
  'use no memo';

  const {
    mode,
    designVersion
  } = state;
  const styles = useStyles();
  const nextStyles = useNextStyles();
  state.root.className = mergeClasses(aiGeneratedDisclaimerClassNames.root, styles.root, mode === 'canvas' && styles.canvas, designVersion === 'next' && nextStyles.root, state.root.className);
  return state;
};
//# sourceMappingURL=useAiGeneratedDisclaimerStyles.styles.js.map